php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Request #37193 PHP-CGI doesn't allow overriding php.ini path in CGI mode
Submitted: 2006-04-25 09:14 UTC Modified: 2011-02-21 21:22 UTC
Votes:1
Avg. Score:3.0 ± 0.0
Reproduced:0 of 0 (0.0%)
From: davidgaramond at gmail dot com Assigned:
Status: Open Package: CGI/CLI related
PHP Version: 4.4.2 OS: Debian/GNU Linux 3.1
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2006-04-25 09:14 UTC] davidgaramond at gmail dot com
Description:
------------
I don't see why PHP-CGI binary in CGI mode should not allow overriding php.ini location. Please kindly consider this simple patch:




diff -ruN -x '*~' php4-4.4.2.orig/sapi/cgi/cgi_main.c php4-4.4.2.EDIT/sapi/cgi/cgi_main.c
--- php4-4.4.2.orig/sapi/cgi/cgi_main.c 2006-01-01 20:47:01.000000000 +0700
+++ php4-4.4.2.EDIT/sapi/cgi/cgi_main.c 2006-03-19 22:27:34.000000000 +0700
@@ -1040,7 +1040,7 @@
        }
 #endif

-       if (!cgi
+       if (1
 #if PHP_FASTCGI
                /* allow ini override for fastcgi */
 #endif



Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2011-02-21 21:22 UTC] jani@php.net
-Package: Feature/Change Request +Package: CGI related
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Wed Sep 18 13:01:52 2019 UTC